TencentNavKit

Instance Methods | Properties | List of all members
TNKTravelNavView Class Reference

驾车导航地图类 More...

`#import <TNKTravelNavView.h>`

Inheritance diagram for TNKTravelNavView:

## Instance Methods
(NSUInteger) | - withPanelTopGap
| 设置导航面板顶部空隙距离. 默认为全屏状态下避开状态栏. 取值范围为[0,100]. since 7.0.0 More...
(NSUInteger) | - withPanelButtomGap
| 导航面板底部空隙距离. 预留给业务使用的区域. 取值范围[0,. since 7.2.0 More...
(BOOL) | - withNavigationPanelEnabled
| 设置是否展示顶部导航面板, 默认为YES since 7.0.0 More...
(BOOL) | - withGuidedLaneEnabled
| 设置显示/隐藏路口车道线. 默认为YES since 7.0.0 More...
(BOOL) | - withShowUIElements
| 设置是否显示界面元素,默认NO。（不包含对导航面板的控制）since 7.0.0 More...
(BOOL) | - withShowBottomToolbar
| 是否显示底部工具栏，默认NO（包含退出、剩余距离时间、预计到达时间、设置） More...
(BOOL) | - withShowToast
| 设置是否显示提示(包括GPS变弱、恢复，切换路线成功，手动刷新路线)，默认NO. since 7.0.0 More...
(BOOL) | - withShowCurrentSpeedView
| 设置是否显示当前车速， 默认NO. since 7.0.0 More...
(BOOL) | - withShowGrossSpeedingView
| 设置是否展示严重超速视图，默认NO. since 7.0.0 More...
(BOOL) | - withShowTrafficBar
| 设置是否显示路况光柱图，默认NO. since 7.0.0 More...
(BOOL) | - withShowRoadTypeButton
| 设置是否显示主辅路切换按钮，默认NO. since 7.0.0 More...
(BOOL) | - withShowSettingButton
| 是否显示设置按钮，链式调用，默认NO More...
(BOOL) | - withShowExitButton
| 是否显示退出按钮，链式调用，默认NO More...
(BOOL) | - withShowLimitSpeedAndCurrentRoadNameView
| 设置是否显示限速、当前路名， 默认NO. since 7.0.0 More...
(BOOL) | - withShowSmartLocView
| 设置是否显示智能定位. 默认NO. since 7.0.0 More...
(BOOL) | - withShowOverviewButton
| 设置是否显示全览/退出全览切换按钮，默认NO. since 7.0.0 More...
(BOOL) | - withShowRouteRefreshButton
| 设置是否显示路线刷新按钮，默认为NO. since 7.0.0 More...
(BOOL) | - withShowMapTrafficButton
| 是否显示切换实时路况的按钮,默认NO. since 7.0.0 More...
(BOOL) | - withShowBroadCastButton
| 是否显示语音播报按钮,默认NO since 7.0.0 More...
(BOOL) | - withShowServiceAreaInfo
| 是否显示高速休息区信息，默认NO since 7.0.0 More...
(void) | - setAllComponentVisibility:
| 是否显示界面元素,默认NO。（不包含对导航面板的控制）since 7.0.0 More...
(void) | - build
| builder模式构建方法 since 7.0.0 More...
(void) | - setUIComponentConfig:
(TNKUIComponentConfig *) | - getUIComponentConfig
(BOOL) | - withShowRouteExplain
| 是否显示路线解释性信息，链式开关，默认NO since 7.3.0 More...
(void) | - setCustomAreaHeight:
(void) | - updateEnlargedMapConfig:
| 更新放大图配置 More...
(void) | - removeCurrentEnlargedMap
| 移除本次展示的路口放大图. More...
(void) | - updateWaypointMarkerPresentation:
| 配置途径点UI属性. 该方法用于配置导航时途径点UI属性, 非导航时进行配置会在导航发起后生效。 key为路径规划时设置的途经点的唯一标识，即TNKSearchNaviPoi的searchUID。 入参设置为nil时，使用默认的途经点资源图片 More...
(void) | - setBackupRoutesHidden:backupRouteIDs:
| 设置是否隐藏备选路线，默认为NO。 当backupRouteIDs传入数值，则展示隐藏操作作用于具体的路线；当backupRouteIDs为空时，则展示隐藏操作作用于当前以及以后的伴随路线 More...
(void) | - createExitNaviAlert
| 创建退出导航弹框。 More...
Instance Methods inherited from TNKBaseNavView
(instancetype) | - UNAVAILABLE_ATTRIBUTE
(instancetype) | - initWithFrame:config:
| 构造方法 . since 5.2.4.4 More...
(void) | - clearAllRouteUI
| 清除路线相关UI.该方法用于非导航状态下清除路线相关UI。 包括导航路线、自车点图标、动态添加的限速/指示标识等. More...
(void) | - updateRouteConfig:
| 更新路线样式配置 More...
(void) | - updateOriginMarkerPresentation:
| 更新起点样式。 置为nil则重新使用默认资源 More...
(void) | - updateDestinationMarkerPresentation:
| 更新终样式。 置为nil则重新使用默认资源 More...
(void) | - updateUserLocationPresentation:
| 更新自车点样式。 置为nil则重新使用默认资源 More...
(void) | - updateRedLineConfig:
| 配置导航红线。默认不显示，入参为nil则不显示 More...
(void) | - snapShotWithConfig:completion:
| 异步截图，支持定时回调 注意:需要导航开启后设置才能生效。 More...
(void) | - stopSnapShot
(void) | - configureUserLocationPresentation:
| 配置当前位置UI属性 (必须在QMapView 初始化以后, 定位开启之前调用) More...
(void) | - setMapStyle:
| 改变底图样式。注意，如果调用该方法，日夜间模式样式将不再发生变化. More...
Instance Methods inherited from <TNKDriveNavDelegate>
(void) | - driveNavManagerDidStart:
| 导航开始. More...
(void) | - driveNavManagerDidStop:
| 导航结束. More...
(void) | - driveNavManagerOnNavigationDataReady:nav_session_id:success:
| slice状态下导航开启的回调，根据success自行处理后续的逻辑，如失败重新算路等;如三段slice的情况下自行在success的情况下发起导航 More...
(void) | - driveNavManagerWillArriveDestination:
| 获取到达终点附近的回调. 尚未结束导航时, 这个回调可能执行多次. More...
(void) | - driveNavManager:updateNavigationData:
| 获取导航面板信息 More...
(void) | - driveNavManager:didUpdateLocation:
| 获取导航定位更新回调. More...
(void) | - driveNavManager:updateLocationFailedWithError:
| 获取定位失败的回调 More...
(void) | - driveNavManager:gpsStatusDidChange:
| 获取GPS信号状态变化的回调. More...
(void) | - driveNavManager:didStartRerouting:
| 获取重新算路请求开始回调. More...
(void) | - driveNavManager:didStartNavFail:
| 导航开始失败回调. More...
(void) | - driveNavManager:rerouteDidSuccess:
| 获取重新算路请求成功回调. More...
(void) | - driveNavManager:rerouteDidFail:
| 获取重新算路请求失败回调. More...
(void) | - driveNavManager:rerouteDidInFence:
| 获取重新算路请求的起点命中无路网回调。如果新的起点命中无路网的位置，则暂时不下发新路线 More...
(void) | - driveNavManagerDidUpdateRotueTraffic:
| 更新路线路况数据回调. 具体信息可通过manager.curNavRoute.curTrafficItems取得最新的路况数据；通过manager.backupNavRoutes获取伴随路线的路况信息 More...
(void) | - driveNavManager:updateParallelRoadStatus:
| 获取切换平行路状态更新回调. More...
(void) | - driveNavManager:showGuidedLaneInfo:
| 显示车道信息回调. More...
(void) | - driveNavManagerHideGuidedLaneInfo:
| 隐藏车道线回调. More...
(void) | - driveNavManager:didDeleteBackupRoutes:
| 开启多路线功能时，删除备选路线的回调. More...
(void) | - driveNavManager:didAddBackupRoutes:
| 开启多路线功能时，补充了备选路线的回调. More...
(void) | - driveNavManager:routeDidChange:changeRouteMsg:
| 路线切换回调. More...
(void) | - driveNavManager:didEnterIdleSection:
| 进入空闲区间的回调. More...
(void) | - driveNavManager:showRecommendedRouteInfo:
| 推荐新路线的回调. 开发者可以根据该回调做弹框提示. More...
(void) | - driveNavManager:didArriveWaypointInfo:
| 获取经过途经点回调. More...
(void) | - driveNavManager:didUpdateTollStationInfo:
| 收费站信息更新回调. 通常在驶出收费站时回调 More...
(void) | - driveNavManager:didUpdateTrafficJamInfo:
| 前方拥堵区域信息的更新回调。 More...
(void) | - driveNavManager:didUpdateCameraInfo:
| 前方电子眼信息，会给出一定距离内的电子眼信息。size为0时表示前方一定距离内没有电子眼 More...

## Properties
id< TNKDriveNavViewDelegate > | delegate
| TNKDriveNavView的回调,用于接收导航模式、日夜状态等变化. More...
NSUInteger | panelTopGap
| 导航面板顶部空隙距离. 默认为全屏状态下避开状态栏. 取值范围为[0,100]. More...
NSUInteger | panelButtomGap
| 导航面板底部空隙距离. 预留给业务使用的区域. 默认值0, 取值范围[0,. More...
BOOL | navigationPanelEnabled
| 是否展示顶部导航面板, 默认为YES More...
BOOL | guidedLaneEnabled
| 设置在3D车头朝上和2D地图朝北模式下 显示/隐藏路口车道线. 默认为YES 注意不管此参数如何设置，在全览模式和剩余全览模式下都会隐藏. More...
BOOL | showRecommendRoute
| 是否展示推荐换路弹窗, 默认为YES More...
BOOL | showUIElements
| 是否显示界面元素,默认NO。（不包含对导航面板的控制），需在开启导航后设置 More...
BOOL | showToast
| 是否显示提示(包括GPS变弱、恢复，切换路线成功，手动刷新路线)，默认NO More...
BOOL | showCurrentSpeedView
| 是否显示当前车速， 默认NO，需在开启导航后设置 More...
BOOL | showGrossSpeedingView
| 是否展示严重超速视图，默认NO，需在开启导航后设置 More...
BOOL | showTrafficBar
| 是否显示路况光柱图，默认NO，需在开启导航后设置 More...
TNKNaviTrafficBarWidget * | trafficBar
| 光柱图实例，当showTrafficBar为YES时才不为空 More...
BOOL | showRoadTypeButton
| 是否显示主辅路切换按钮，默认NO，需在开启导航后设置 More...
BOOL | showSettingButton
| 是否显示设置按钮，默认NO，需在开启导航后设置 More...
BOOL | showExitButton
| 是否显示退出按钮，默认NO，需在开启导航后设置 More...
BOOL | showLimitSpeedAndCurrentRoadNameView
| 是否显示限速、当前路名， 默认NO More...
BOOL | showSmartLocView
| 是否显示智能定位. 默认NO. since 5.2.2 More...
BOOL | showOverviewButton
| 是否显示全览/退出全览切换按钮，默认NO，需在开启导航后设置 More...
BOOL | showRouteRefreshButton
| 是否显示路线刷新按钮，默认为NO，需在开启导航后设置. since 5.2.5 More...
BOOL | showMapTrafficButton
| 是否显示切换实时路况的按钮,默认NO，需在开启导航后设置 More...
BOOL | showBroadCastButton
| 是否显示语音播报按钮,默认NO，需在开启导航后设置 More...
BOOL | showServiceAreaInfo
| 是否显示高速休息区信息，默认NO，需在开启导航后设置 More...
BOOL | autoScaleEnabled
| 设置导航地图是否开启自动缩放比例尺功能，默认开启。 开启之后，3D车头朝上、2D地图朝北模式会在路口处自动调整地图zoomlevel和overlooking，以提供最佳视野通过路口。 More...
CGFloat | autoScaleMinZoomLevel
| 自动缩放比例尺功能中，可设置最小zoomlevel，默认15， 取值范围[14, 17] 。 More...
BOOL | showTraffic
| 设置导航地图是否显示实时路况,不影响showMapTrafficButton的逻辑，默认为YES。 More...
BOOL | shows3DBuildings
| 是否显示建筑物样式为3D效果，默认为NO。 More...
BOOL | routeTrafficLightHidden
| 是否隐藏路线上的红绿灯，默认为NO。 More...
BOOL | lightCountDownTimerHidden
| 是否隐藏路线上的红绿灯倒计时，默认为NO。 More...
BOOL | backupRouteBubbleHidden
| 设置隐藏备选路线上的气泡，默认为NO; More...
BOOL | cameraMarkerEnabled
| 设置是否展示路线上的电子眼.默认值为YES。 电子眼标识在3D车头朝上和2D地图朝北模式下会默认显示, 在全览模式和剩余全览模式下会隐藏. More...
BOOL | showDistanceOnCamera
| 电子眼上是否展示剩余距离。默认为NO More...
BOOL | showRouteExplain
| 是否显示路线解释性信息，默认NO since 7.3.0 More...
BOOL | trafficBubbleEnabled
| 设置显示/隐藏路况气泡.该方法用于导航状态下控制显示/隐藏导航路线上的路况气泡. 默认为YES 路况气泡在3D车头朝上和2D地图朝北模式下会显示, 在全览模式和剩余全览模式下会隐藏. More...
TNKTravelEnlargedMapConfig * | enlargedMapConfig
| 放大图相关配置 More...
TNKCustomAreaView * | customAreaView
Properties inherited from TNKBaseNavView
QMapView * | mapView
| 地图实例 More...
TNKNavDayNightMode | dayNightMode
| 地图日夜间模式切换策略. 包括自动切换、始终白天、始终黑夜3种模式. 默认为日夜状态自动切换. More...
TNKNavDayNightStatus | dayNightStatus
| 获取地图当前日夜状态. More...
TNKNavUIMode | navUIMode
| 导航视角模式. 导航模式包括3D车头朝上、2D地图朝北、全览和剩余全览4种模式. 默认为3D车头朝上模式. 导航状态下使用手势操作地图时触发非锁车模式，地图不跟随自车点移动 ；在手势操作结束后一段时间切换回之前的导航模式. 该时间可由followDelay设定,默认回弹时间为5秒。 More...
BOOL | followed
| 当前是否是锁车标状态。当收到拖动地图时，地图视野一段时间内不会发生改变，follow为NO。 More...
BOOL | followEnabled
| 是否会自动从非锁车标状态进入锁车标状态； 默认为YES More...
NSTimeInterval | followDelay
| 设置从非锁车标状态返回之前锁车标状态的延迟时间，单位为秒， 默认为5秒. More...
BOOL | exitOverviewEnabled
| 是否会自动从全览状态进入导航态,默认为NO More...
NSTimeInterval | exitOverviewDelay
| 设置从全览到退出全览模式进入导航态的延迟时间,单位为秒,默认为10秒,区间(0,+∞). More...
TNKNavUIMode | nonOverviewNaviUIMode
| 非全览的导航视角模式. 导航模式包括3D车头朝上、2D地图朝. More...
TNKNavUIMode | overviewNaviUIMode
| 全览的导航视角模式. 全览和剩余全览. More...
TNKRouteConfig * | routeConfig
| 驾车导航路线样式配置 More...
UIEdgeInsets | externalEdgeInsets
| 设置全览和剩余全览模式下导航路线显示区域距离地图四周的边距. 当在CarNaviView上自定义显示元素时, 为避免与导航路线相互遮挡, 可调用该接口调整导航路线显示区域范围. 默认值为(80,80,150,40), 使得全览和剩余全览模式下导航路线四周有部分留白. More...
NSArray< TNKCoordinatePoint * > * | extraPointsForOverview
| 设置全览和剩余全览模式下，想要展示在可视区域内的额外的点数组。使用之后需重置为nil More...
CGPoint | fix3DProportion
| 3D导航时自车点位置在地图上位置的比例 默认值为(0.5,0.72). x取值范围为[0.25,0.75] 表示从屏幕左边起的宽度比例. y取值范围为[0.25,0.75] 表示从屏幕上边起的高度比例. 若设置值不在区间内则使用默认值. More...
CGPoint | fix2DProportion
| 2D导航时自车点位置在地图上位置的比例 默认值为(0.5,0.6). x取值范围为[0.25,0.75] 表示从屏幕左边起的宽度比例. y取值范围为[0.25,0.75] 表示从屏幕上边起的高度比例. 若设置值不在区间内则使用默认值. More...
BOOL | compassHidden
| 设置是否隐藏自车点罗盘.该方法用于导航状态下控制显示/隐藏自车点罗盘. 自车点罗盘在3D车头朝上模式下会默认显示, 在2D地图朝北、全览模式和剩余全览模式下会默认隐藏. More...
BOOL | turnArrowEnabled
| 设置是否隐藏转弯箭头指引.该方法用于导航状态下控制显示/隐藏下一个转弯箭头指引.默认为YES More...
TNKTurnArrowConfig * | turnArrowConfig
| 设置是转向箭头的样式，不可为nil More...
UIView * | navInfoBriefView
| 导航截图叠加视图 More...
BOOL | showsUserLocation
| 开启定位并展示位置图标. More...

## Detailed Description

驾车导航地图类

## Method Documentation

## ◆ build

- (void) build |  |  |

builder模式构建方法 since 7.0.0

Returns
  TNKDriveNavView

## ◆ createExitNaviAlert

- (void) createExitNaviAlert |  |  |

创建退出导航弹框。

## ◆ getUIComponentConfig

- (TNKUIComponentConfig *) getUIComponentConfig |  |  |

获取UI组件配置

## ◆ removeCurrentEnlargedMap

- (void) removeCurrentEnlargedMap |  |  |

移除本次展示的路口放大图.

Since
  6.0.0

## ◆ setAllComponentVisibility:

- (void) setAllComponentVisibility: |  | (BOOL) | visible |

是否显示界面元素,默认NO。（不包含对导航面板的控制）since 7.0.0

## ◆ setBackupRoutesHidden:backupRouteIDs:

- (void) setBackupRoutesHidden: |  | (BOOL) | hidden
backupRouteIDs: |  | (NSArray< NSString * > *_Nullable) | backupRouteIDs

设置是否隐藏备选路线，默认为NO。 当backupRouteIDs传入数值，则展示隐藏操作作用于具体的路线；当backupRouteIDs为空时，则展示隐藏操作作用于当前以及以后的伴随路线

Parameters

  hidden | 是否隐藏备选路线
  backupRouteIDs | 需要操作的备选路线id数组

## ◆ setCustomAreaHeight:

- (void) setCustomAreaHeight: |  | (CGFloat) | height |

便捷方法：设置自定义区域高度

## ◆ setUIComponentConfig:

- (void) setUIComponentConfig: |  | (TNKUIComponentConfig *) | uiComponentConfig |

设置UI组件配置

## ◆ updateEnlargedMapConfig:

- (void) updateEnlargedMapConfig: |  | (TNKTravelEnlargedMapConfig *) | enlargedMapConfig |

更新放大图配置

Parameters

  enlargedMapConfig | 放大图配置，不可为nil

Since
  6.2.0

## ◆ updateWaypointMarkerPresentation:

- (void) updateWaypointMarkerPresentation: |  | (NSDictionary< NSString *, TNKWaypointMarkerPresentation * > *_Nullable) | waypointMarkerPresentationDictionary |

配置途径点UI属性. 该方法用于配置导航时途径点UI属性, 非导航时进行配置会在导航发起后生效。 key为路径规划时设置的途经点的唯一标识，即TNKSearchNaviPoi的searchUID。 入参设置为nil时，使用默认的途经点资源图片

Since
  6.0.0

Parameters

  waypointMarkerPresentationDictionary | 途经点样式

## ◆ withGuidedLaneEnabled

- (BOOL) withGuidedLaneEnabled |  |  |

设置显示/隐藏路口车道线. 默认为YES since 7.0.0

## ◆ withNavigationPanelEnabled

- (BOOL) withNavigationPanelEnabled |  |  |

设置是否展示顶部导航面板, 默认为YES since 7.0.0

## ◆ withPanelButtomGap

- (NSUInteger) withPanelButtomGap |  |  |

导航面板底部空隙距离. 预留给业务使用的区域. 取值范围[0,. since 7.2.0

## ◆ withPanelTopGap

- (NSUInteger) withPanelTopGap |  |  |

设置导航面板顶部空隙距离. 默认为全屏状态下避开状态栏. 取值范围为[0,100]. since 7.0.0

## ◆ withShowBottomToolbar

- (BOOL) withShowBottomToolbar |  |  |

是否显示底部工具栏，默认NO（包含退出、剩余距离时间、预计到达时间、设置）

设置是否显示底部工具栏，默认NO（包含退出、剩余距离时间、预计到达时间、设置）since 7.0.0

## ◆ withShowBroadCastButton

- (BOOL) withShowBroadCastButton |  |  |

是否显示语音播报按钮,默认NO since 7.0.0

## ◆ withShowCurrentSpeedView

- (BOOL) withShowCurrentSpeedView |  |  |

设置是否显示当前车速， 默认NO. since 7.0.0

## ◆ withShowExitButton

- (BOOL) withShowExitButton |  |  |

是否显示退出按钮，链式调用，默认NO

## ◆ withShowGrossSpeedingView

- (BOOL) withShowGrossSpeedingView |  |  |

设置是否展示严重超速视图，默认NO. since 7.0.0

## ◆ withShowLimitSpeedAndCurrentRoadNameView

- (BOOL) withShowLimitSpeedAndCurrentRoadNameView |  |  |

设置是否显示限速、当前路名， 默认NO. since 7.0.0

## ◆ withShowMapTrafficButton

- (BOOL) withShowMapTrafficButton |  |  |

是否显示切换实时路况的按钮,默认NO. since 7.0.0

## ◆ withShowOverviewButton

- (BOOL) withShowOverviewButton |  |  |

设置是否显示全览/退出全览切换按钮，默认NO. since 7.0.0

## ◆ withShowRoadTypeButton

- (BOOL) withShowRoadTypeButton |  |  |

设置是否显示主辅路切换按钮，默认NO. since 7.0.0

## ◆ withShowRouteExplain

- (BOOL) withShowRouteExplain |  |  |

是否显示路线解释性信息，链式开关，默认NO since 7.3.0

## ◆ withShowRouteRefreshButton

- (BOOL) withShowRouteRefreshButton |  |  |

设置是否显示路线刷新按钮，默认为NO. since 7.0.0

## ◆ withShowServiceAreaInfo

- (BOOL) withShowServiceAreaInfo |  |  |

是否显示高速休息区信息，默认NO since 7.0.0

## ◆ withShowSettingButton

- (BOOL) withShowSettingButton |  |  |

是否显示设置按钮，链式调用，默认NO

## ◆ withShowSmartLocView

- (BOOL) withShowSmartLocView |  |  |

设置是否显示智能定位. 默认NO. since 7.0.0

## ◆ withShowToast

- (BOOL) withShowToast |  |  |

设置是否显示提示(包括GPS变弱、恢复，切换路线成功，手动刷新路线)，默认NO. since 7.0.0

## ◆ withShowTrafficBar

- (BOOL) withShowTrafficBar |  |  |

设置是否显示路况光柱图，默认NO. since 7.0.0

## ◆ withShowUIElements

- (BOOL) withShowUIElements |  |  |

设置是否显示界面元素,默认NO。（不包含对导航面板的控制）since 7.0.0

## Property Documentation

## ◆ autoScaleEnabled

- (BOOL) autoScaleEnabled
| read write nonatomic assign

设置导航地图是否开启自动缩放比例尺功能，默认开启。 开启之后，3D车头朝上、2D地图朝北模式会在路口处自动调整地图zoomlevel和overlooking，以提供最佳视野通过路口。

Since
  5.2.5

## ◆ autoScaleMinZoomLevel

- (CGFloat) autoScaleMinZoomLevel
| read write nonatomic assign

自动缩放比例尺功能中，可设置最小zoomlevel，默认15， 取值范围[14, 17] 。

Since
  5.2.9.6

## ◆ backupRouteBubbleHidden

- (BOOL) backupRouteBubbleHidden
| read write nonatomic assign

设置隐藏备选路线上的气泡，默认为NO;

## ◆ cameraMarkerEnabled

- (BOOL) cameraMarkerEnabled
| read write nonatomic assign

设置是否展示路线上的电子眼.默认值为YES。 电子眼标识在3D车头朝上和2D地图朝北模式下会默认显示, 在全览模式和剩余全览模式下会隐藏.

## ◆ customAreaView

- (TNKCustomAreaView*) customAreaView
| read nonatomic strong

自定义区域组件

## ◆ delegate

- (id<TNKDriveNavViewDelegate>) delegate
| read write nonatomic weak

TNKDriveNavView的回调,用于接收导航模式、日夜状态等变化.

## ◆ enlargedMapConfig

- (TNKTravelEnlargedMapConfig*) enlargedMapConfig
| read nonatomic assign

放大图相关配置

Since
  6.2.0

## ◆ guidedLaneEnabled

- (BOOL) guidedLaneEnabled
| read write nonatomic assign

设置在3D车头朝上和2D地图朝北模式下 显示/隐藏路口车道线. 默认为YES 注意不管此参数如何设置，在全览模式和剩余全览模式下都会隐藏.

## ◆ lightCountDownTimerHidden

- (BOOL) lightCountDownTimerHidden
| read write nonatomic assign

是否隐藏路线上的红绿灯倒计时，默认为NO。

Since
  6.13.0

## ◆ navigationPanelEnabled

- (BOOL) navigationPanelEnabled
| read write nonatomic assign

是否展示顶部导航面板, 默认为YES

## ◆ panelButtomGap

- (NSUInteger) panelButtomGap
| read write nonatomic assign

导航面板底部空隙距离. 预留给业务使用的区域. 默认值0, 取值范围[0,.

## ◆ panelTopGap

- (NSUInteger) panelTopGap
| read write nonatomic assign

导航面板顶部空隙距离. 默认为全屏状态下避开状态栏. 取值范围为[0,100].

## ◆ routeTrafficLightHidden

- (BOOL) routeTrafficLightHidden
| read write nonatomic assign

是否隐藏路线上的红绿灯，默认为NO。

Since
  5.4.0.6

## ◆ showBroadCastButton

- (BOOL) showBroadCastButton
| read write nonatomic assign

是否显示语音播报按钮,默认NO，需在开启导航后设置

## ◆ showCurrentSpeedView

- (BOOL) showCurrentSpeedView
| read write nonatomic assign

是否显示当前车速， 默认NO，需在开启导航后设置

## ◆ showDistanceOnCamera

- (BOOL) showDistanceOnCamera
| read write nonatomic assign

电子眼上是否展示剩余距离。默认为NO

Since
  6.0.0

## ◆ showExitButton

- (BOOL) showExitButton
| read write nonatomic assign

是否显示退出按钮，默认NO，需在开启导航后设置

## ◆ showGrossSpeedingView

- (BOOL) showGrossSpeedingView
| read write nonatomic assign

是否展示严重超速视图，默认NO，需在开启导航后设置

## ◆ showLimitSpeedAndCurrentRoadNameView

- (BOOL) showLimitSpeedAndCurrentRoadNameView
| read write nonatomic assign

是否显示限速、当前路名， 默认NO

## ◆ showMapTrafficButton

- (BOOL) showMapTrafficButton
| read write nonatomic assign

是否显示切换实时路况的按钮,默认NO，需在开启导航后设置

## ◆ showOverviewButton

- (BOOL) showOverviewButton
| read write nonatomic assign

是否显示全览/退出全览切换按钮，默认NO，需在开启导航后设置

## ◆ showRecommendRoute

- (BOOL) showRecommendRoute
| read write nonatomic assign

是否展示推荐换路弹窗, 默认为YES

## ◆ showRoadTypeButton

- (BOOL) showRoadTypeButton
| read write nonatomic assign

是否显示主辅路切换按钮，默认NO，需在开启导航后设置

## ◆ showRouteExplain

- (BOOL) showRouteExplain
| read write nonatomic assign

是否显示路线解释性信息，默认NO since 7.3.0

## ◆ showRouteRefreshButton

- (BOOL) showRouteRefreshButton
| read write nonatomic assign

是否显示路线刷新按钮，默认为NO，需在开启导航后设置. since 5.2.5

## ◆ shows3DBuildings

- (BOOL) shows3DBuildings
| read write nonatomic assign

是否显示建筑物样式为3D效果，默认为NO。

## ◆ showServiceAreaInfo

- (BOOL) showServiceAreaInfo
| read write nonatomic assign

是否显示高速休息区信息，默认NO，需在开启导航后设置

## ◆ showSettingButton

- (BOOL) showSettingButton
| read write nonatomic assign

是否显示设置按钮，默认NO，需在开启导航后设置

## ◆ showSmartLocView

- (BOOL) showSmartLocView
| read write nonatomic assign

是否显示智能定位. 默认NO. since 5.2.2

## ◆ showToast

- (BOOL) showToast
| read write nonatomic assign

是否显示提示(包括GPS变弱、恢复，切换路线成功，手动刷新路线)，默认NO

## ◆ showTraffic

- (BOOL) showTraffic
| read write nonatomic assign

设置导航地图是否显示实时路况,不影响showMapTrafficButton的逻辑，默认为YES。

## ◆ showTrafficBar

- (BOOL) showTrafficBar
| read write nonatomic assign

是否显示路况光柱图，默认NO，需在开启导航后设置

## ◆ showUIElements

- (BOOL) showUIElements
| read write nonatomic assign

是否显示界面元素,默认NO。（不包含对导航面板的控制），需在开启导航后设置

## ◆ trafficBar

- (TNKNaviTrafficBarWidget*) trafficBar
| read nonatomic assign

光柱图实例，当showTrafficBar为YES时才不为空

## ◆ trafficBubbleEnabled

- (BOOL) trafficBubbleEnabled
| read write nonatomic assign

设置显示/隐藏路况气泡.该方法用于导航状态下控制显示/隐藏导航路线上的路况气泡. 默认为YES 路况气泡在3D车头朝上和2D地图朝北模式下会显示, 在全览模式和剩余全览模式下会隐藏.

Since
  5.2.5

The documentation for this class was generated from the following file:

- TNKTravelNavView.h